@echo off
echo execute all test cases of the accessibility test suite
@REM Adjust this to where you copied the EXE ...
set TIDY=C:\MDOS\tidycvs6.exe
@REM Adjust this to where the test files are located ...
set TIDYINPUT=accessTest
@REM Adjust this to where you want the results written ...
set TIDYOUT=tmp
IF NOT EXIST %TIDY% goto ERR1
IF NOT EXIST %TIDYINPUT%\nul goto ERR2
IF NOT EXIST %TIDYout%\nul goto ERR3

echo Running ACCESS TEST suite > ACCERR.TXT
echo Input folder is %TIDYINPUT% >> ACCERR.TXT
echo Output folder is %TIDYOUT% >> ACCERR.TXT
echo EXE used is %TIDY% >> ACCERR.TXT
set FAILEDACC=
for /F "tokens=1,2,3,4*" %%i in (accesscases.txt) do call onetesta.cmd %%i %%j %%k %%l %%m
if "%FAILEDACC%." == "." goto FULLSUCCESS
echo FAILED [%FAILEDACC%] ...
goto END

:FULLSUCCESS
echo Appears ALL test suites ran completely successfully ... happy days ...
@goto END

:ERR1
@echo	ERROR: Can NOT locate [%TIDY%] file ... fix command and try again ...
@goto END

:ERR2
@echo	ERROR: Can NOT locate [%TIDYINPUT%] folder ... fix command and try again ...
@goto END

:ERR3
@echo	ERROR: Can NOT locate [%TIDYOUT%] OUTPUT folder ... fix command and try again ...
@goto END

:END
